POST api/vms/schedules/{id}/vods
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
ParamVMSSchedulesVod| Name | Description | Type | Additional information |
|---|---|---|---|
| VMSVideoIdx | integer |
None. |
|
| playTime | integer |
None. |
|
| recordStartDate | date |
None. |
|
| recordEndDate | date |
None. |
|
| ExternalVMSVideoVODIdx | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"VMSVideoIdx": 1,
"playTime": 2,
"recordStartDate": "2026-04-03T07:45:03.2247436+09:00",
"recordEndDate": "2026-04-03T07:45:03.2247436+09:00",
"ExternalVMSVideoVODIdx": 5
}
application/xml, text/xml
Sample:
<ApiModels.ParamVMSSchedulesVod xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FinUp.Stock.Api.Models.VMS"> <ExternalVMSVideoVODIdx>5</ExternalVMSVideoVODIdx> <VMSVideoIdx>1</VMSVideoIdx> <playTime>2</playTime> <recordEndDate>2026-04-03T07:45:03.2247436+09:00</recordEndDate> <recordStartDate>2026-04-03T07:45:03.2247436+09:00</recordStartDate> </ApiModels.ParamVMSSchedulesVod>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ResVMSSchedulesVods| Name | Description | Type | Additional information |
|---|---|---|---|
| ResultCode | string |
None. |
|
| ResultMsg | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"ResultCode": "sample string 1",
"ResultMsg": "sample string 2"
}
application/xml, text/xml
Sample:
<ApiModels.ResVMSSchedulesVods xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FinUp.Stock.Api.Models.VMS"> <ResultCode>sample string 1</ResultCode> <ResultMsg>sample string 2</ResultMsg> </ApiModels.ResVMSSchedulesVods>